Skip to main content
GET
/
api
/
v1
/
org
/
applications
/
{application_id}
Get Application Api Endpoint
import requests

url = "https://platform.ankra.app/api/v1/org/applications/{application_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "id": "<string>",
  "name": "<string>",
  "state": "<string>",
  "app_repo_owner": "<string>",
  "app_repo_name": "<string>",
  "app_repo_branch": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "analysis_status": "<string>",
  "error_message": "<string>",
  "app_repo_url": "<string>",
  "container_image_url": "<string>",
  "chart_oci_url": "<string>",
  "helm_repo_add_command": "<string>",
  "pull_request_url": "<string>",
  "generated_files": [
    {
      "path": "<string>",
      "content": "<string>"
    }
  ],
  "detected_language": "<string>",
  "detected_framework": "<string>",
  "creation_progress": [
    {
      "key": "<string>",
      "status": "<string>",
      "message": "<string>"
    }
  ],
  "latest_workflow_status": "<string>",
  "latest_workflow_conclusion": "<string>",
  "latest_workflow_at": "<string>",
  "latest_delivery_status": "<string>",
  "cve_summary": {},
  "chart_version_count": 123,
  "latest_chart_version": "<string>",
  "deployment_count": 123,
  "healthy_deployment_count": 123,
  "clusters_up_to_date": 123,
  "clusters_behind": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.ankra.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

application_id
string
required

Response

Successful Response

id
string
required
name
string
required
state
string
required
app_repo_owner
string
required
app_repo_name
string
required
app_repo_branch
string
required
created_at
string
required
updated_at
string
required
analysis_status
string | null
error_message
string | null
app_repo_url
string | null
container_image_url
string | null
chart_oci_url
string | null
helm_repo_add_command
string | null
pull_request_url
string | null
generated_files
GeneratedFileItem · object[] | null
detected_language
string | null
detected_framework
string | null
creation_progress
CreationProgressStepResponse · object[] | null
latest_workflow_status
string | null
latest_workflow_conclusion
string | null
latest_workflow_at
string | null
latest_delivery_status
string | null
cve_summary
Cve Summary · object
chart_version_count
integer | null
latest_chart_version
string | null
deployment_count
integer | null
healthy_deployment_count
integer | null
clusters_up_to_date
integer | null
clusters_behind
integer | null